cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class CSU_C12

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.CSU_C09_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.CSU_C12

-     public final class CSU_C12
      extends CSU_C09_Common

  CSU_C12 - Unsolicited Study Data Message (Event C12). This message is used to keep data enter in the clinical system or in laboratory, pathology, radiology, pharmacy and/or other clinical applications.

  Represents a CSU_C09 message structure (see chapter 7.7.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: PATIENT (a Group of segments in CSU_C09 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.5 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.5 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  CSU_C12 objC12 = (CSU_C12)MessageFactory.createInstance().createSendSupportedMessage("CSU", "C12");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.CSU_C09_Common

      `addPatientGroup, addPatientGroups, addSoftwareSegment, addSoftwareSegment, getPatientGroups, getSoftwareSegments, getUserAuthenticationCredentialSegment, populate, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`